Package org.gradle.nativeplatform

## Interface NativeLibraryBinary

- All Superinterfaces:
    `Binary`, `NativeBinary`
  All Known Subinterfaces:
    `PrebuiltSharedLibraryBinary`, `PrebuiltStaticLibraryBinary`, `SharedLibraryBinary`, `StaticLibraryBinary`

      @Incubating
      public interface NativeLibraryBinary
      extends NativeBinary

  A physical representation of a `NativeLibrary` component.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileCollection` | `getHeaderDirs()` |
    `FileCollection` | `getLinkFiles()` |
    `FileCollection` | `getRuntimeFiles()` |

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinary

      `getBuildType, getFlavor, getTargetPlatform`

- - ### Method Detail

    - #### getHeaderDirs

          FileCollection getHeaderDirs()

    - #### getLinkFiles

          FileCollection getLinkFiles()

    - #### getRuntimeFiles

          FileCollection getRuntimeFiles()